package com.ruoyi.predict.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * HistorydataPoint对象 historydata_point
 *
 * @author hlf
 * @date 2022-01-10
 */
public class HistorydataPoint extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long nohis;

    private Date statTime1;

    private Date statTime2;

    private Date statTime3;

    private Date statTime4;

    private Date statTime5;

    private Date statTime6;

    private Double data1;

    private Double data2;

    private Double data3;

    private Double data4;

    public void setNohis(Long nohis) {
        this.nohis = nohis;
    }

    public Long getNohis() {
        return nohis;
    }

    public void setStatTime1(Date statTime1) {
        this.statTime1 = statTime1;
    }

    public Date getStatTime1() {
        return statTime1;
    }

    public void setStatTime2(Date statTime2) {
        this.statTime2 = statTime2;
    }

    public Date getStatTime2() {
        return statTime2;
    }

    public void setStatTime3(Date statTime3) {
        this.statTime3 = statTime3;
    }

    public Date getStatTime3() {
        return statTime3;
    }

    public void setStatTime4(Date statTime4) {
        this.statTime4 = statTime4;
    }

    public Date getStatTime4() {
        return statTime4;
    }

    public void setStatTime5(Date statTime5) {
        this.statTime5 = statTime5;
    }

    public Date getStatTime5() {
        return statTime5;
    }

    public Date getStatTime6() {
        return statTime6;
    }

    public void setStatTime6(Date statTime6) {
        this.statTime6 = statTime6;
    }

    public void setData1(Double data1) {
        this.data1 = data1;
    }

    public Double getData1() {
        return data1;
    }

    public void setData2(Double data2) {
        this.data2 = data2;
    }

    public Double getData2() {
        return data2;
    }

    public void setData3(Double data3) {
        this.data3 = data3;
    }

    public Double getData3() {
        return data3;
    }

    public void setData4(Double data4) {
        this.data4 = data4;
    }

    public Double getData4() {
        return data4;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("nohis", getNohis())
                .append("statTime1", getStatTime1())
                .append("statTime2", getStatTime2())
                .append("statTime3", getStatTime3())
                .append("statTime4", getStatTime4())
                .append("statTime5", getStatTime5())
                .append("statTime6", getStatTime6())
                .append("data1", getData1())
                .append("data2", getData2())
                .append("data3", getData3())
                .append("data4", getData4())
                .toString();
    }
}
